<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="NPN">
  <refnamediv>
    <refname>NPN</refname>
    <refpurpose>NPN transistor</refpurpose>
  </refnamediv>
  <refsection>
    <title>Block Screenshot</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/NPN_blk.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Contents_NPN">
    <title>Contents</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="NPN">NPN transistor</link>
        </para>
      </listitem>
      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_NPN">Palette</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Description_NPN">Description</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Dialogbox_NPN">Dialog box</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Defaultproperties_NPN">Default properties</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Interfacingfunction_NPN">Interfacing function</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <link linkend="NPN">Modelica model</link>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Seealso_NPN">See also</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Authors_NPN">Authors</xref>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Palette_NPN">
    <title>Palette</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Electrical_pal">Electrical.cosf - Electrical toolbox</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_NPN">
    <title>Description</title>
    <para>
This model is a simple model of a bipolar NPN junction transistor according to Ebers-Moll.  
</para>
    <para>
</para>
  </refsection>
  <refsection id="Dialogbox_NPN">
    <title>Dialog box</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/NPN_gui.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
    <para>
</para>
    <para>
</para>
    <informaltable border="1" cellpadding="3">
      <tr>
        <td align="left">Parameter</td>
        <td align="left">Default value</td>
        <td align="left">Description</td>
      </tr>
      <tr>
        <td align="left">Bf</td>
        <td align="left">50</td>
        <td align="left">Forward beta</td>
      </tr>
      <tr>
        <td align="left">Br</td>
        <td align="left">0.1</td>
        <td align="left">Reverse beta</td>
      </tr>
      <tr>
        <td align="left">Is</td>
        <td align="left">1.e-16</td>
        <td align="left">Transport saturation current [A]</td>
      </tr>
      <tr>
        <td align="left">Vak</td>
        <td align="left">0.02</td>
        <td align="left">Early voltage (inverse), 1/Volt [1/V]</td>
      </tr>
      <tr>
        <td align="left">Tauf</td>
        <td align="left">0.12e-9</td>
        <td align="left">Ideal forward transit time [s]</td>
      </tr>
      <tr>
        <td align="left">Taur</td>
        <td align="left">5e-9</td>
        <td align="left">Ideal reverse transit time [s]</td>
      </tr>
      <tr>
        <td align="left">Ccs</td>
        <td align="left">1e-12</td>
        <td align="left">Collector-substrat(ground) cap. [F]</td>
      </tr>
      <tr>
        <td align="left">Cje</td>
        <td align="left">0.4e-12</td>
        <td align="left">Base-emitter zero bias depletion cap. [F]</td>
      </tr>
      <tr>
        <td align="left">Cjc</td>
        <td align="left">0.5e-12</td>
        <td align="left">Base-coll. zero bias depletion cap. [F]</td>
      </tr>
      <tr>
        <td align="left">Phie</td>
        <td align="left">0.8</td>
        <td align="left">Base-emitter diffusion voltage [V]</td>
      </tr>
      <tr>
        <td align="left">Me</td>
        <td align="left">0.4</td>
        <td align="left">Base-emitter gradation exponent</td>
      </tr>
      <tr>
        <td align="left">Phic</td>
        <td align="left">0.8</td>
        <td align="left">Base-collector diffusion voltage [V]</td>
      </tr>
      <tr>
        <td align="left">Mc</td>
        <td align="left">0.333</td>
        <td align="left">Base-collector gradation exponent</td>
      </tr>
      <tr>
        <td align="left">Gbc</td>
        <td align="left">1e-15</td>
        <td align="left">Base-collector conductance [S]</td>
      </tr>
      <tr>
        <td align="left">Gbe</td>
        <td align="left">1e-15</td>
        <td align="left">Base-emitter conductance [S]</td>
      </tr>
      <tr>
        <td align="left">Vt</td>
        <td align="left">0.02585</td>
        <td align="left">Voltage equivalent of temperature [V]</td>
      </tr>
      <tr>
        <td align="left">EMin</td>
        <td align="left">-100</td>
        <td align="left">if x &lt; EMin, the exp(x) function is linearized</td>
      </tr>
      <tr>
        <td align="left">EMax</td>
        <td align="left">40</td>
        <td align="left">if x &gt; EMax, the exp(x) function is linearized</td>
      </tr>
    </informaltable>
  </refsection>
  <refsection id="Defaultproperties_NPN">
    <title>Default properties</title>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">Inputs :</emphasis>
        </para>
        <itemizedlist>
          <listitem>
            <para><emphasis role="bold">Modelica variable name :</emphasis> 'B'
</para>
            <para>
Implicit <emphasis role="bold">variable.</emphasis>


</para>
          </listitem>
        </itemizedlist>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Outputs :</emphasis>
        </para>
        <itemizedlist>
          <listitem>
            <para><emphasis role="bold">Modelica variable name :</emphasis> 'C'
</para>
            <para>
Implicit <emphasis role="bold">variable.</emphasis>


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica variable name :</emphasis> 'E'
</para>
            <para>
Implicit <emphasis role="bold">variable.</emphasis>


</para>
          </listitem>
        </itemizedlist>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Parameters :</emphasis>
        </para>
        <itemizedlist>
          <listitem>
            <para><emphasis role="bold">Modelica parameter name :</emphasis> 'Bf'
</para>
            <para><emphasis role="bold">Default value :</emphasis> 50
</para>
            <para><emphasis role="bold">Is a state variable :</emphasis> no.


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica parameter name :</emphasis> 'Br'
</para>
            <para><emphasis role="bold">Default value :</emphasis> 0.1
</para>
            <para><emphasis role="bold">Is a state variable :</emphasis> no.


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica parameter name :</emphasis> 'Is'
</para>
            <para><emphasis role="bold">Default value :</emphasis> 0
</para>
            <para><emphasis role="bold">Is a state variable :</emphasis> no.


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica parameter name :</emphasis> 'Vak'
</para>
            <para><emphasis role="bold">Default value :</emphasis> 0.02
</para>
            <para><emphasis role="bold">Is a state variable :</emphasis> no.


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica parameter name :</emphasis> 'Tauf'
</para>
            <para><emphasis role="bold">Default value :</emphasis> 1.200E-10
</para>
            <para><emphasis role="bold">Is a state variable :</emphasis> no.


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica parameter name :</emphasis> 'Taur'
</para>
            <para><emphasis role="bold">Default value :</emphasis> 5.000E-09
</para>
            <para><emphasis role="bold">Is a state variable :</emphasis> no.


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica parameter name :</emphasis> 'Ccs'
</para>
            <para><emphasis role="bold">Default value :</emphasis> 1.000E-12
</para>
            <para><emphasis role="bold">Is a state variable :</emphasis> no.


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica parameter name :</emphasis> 'Cje'
</para>
            <para><emphasis role="bold">Default value :</emphasis> 4.000E-13
</para>
            <para><emphasis role="bold">Is a state variable :</emphasis> no.


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica parameter name :</emphasis> 'Cjc'
</para>
            <para><emphasis role="bold">Default value :</emphasis> 5.000E-13
</para>
            <para><emphasis role="bold">Is a state variable :</emphasis> no.


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica parameter name :</emphasis> 'Phie'
</para>
            <para><emphasis role="bold">Default value :</emphasis> 0.8
</para>
            <para><emphasis role="bold">Is a state variable :</emphasis> no.


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica parameter name :</emphasis> 'Me'
</para>
            <para><emphasis role="bold">Default value :</emphasis> 0.4
</para>
            <para><emphasis role="bold">Is a state variable :</emphasis> no.


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica parameter name :</emphasis> 'Phic'
</para>
            <para><emphasis role="bold">Default value :</emphasis> 0.8
</para>
            <para><emphasis role="bold">Is a state variable :</emphasis> no.


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica parameter name :</emphasis> 'Mc'
</para>
            <para><emphasis role="bold">Default value :</emphasis> 0.333
</para>
            <para><emphasis role="bold">Is a state variable :</emphasis> no.


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica parameter name :</emphasis> 'Gbc'
</para>
            <para><emphasis role="bold">Default value :</emphasis> 1.000E-15
</para>
            <para><emphasis role="bold">Is a state variable :</emphasis> no.


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica parameter name :</emphasis> 'Gbe'
</para>
            <para><emphasis role="bold">Default value :</emphasis> 1.000E-15
</para>
            <para><emphasis role="bold">Is a state variable :</emphasis> no.


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica parameter name :</emphasis> 'Vt'
</para>
            <para><emphasis role="bold">Default value :</emphasis> 0.02585
</para>
            <para><emphasis role="bold">Is a state variable :</emphasis> no.


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica parameter name :</emphasis> 'EMinMax'
</para>
            <para><emphasis role="bold">Default value :</emphasis> 40
</para>
            <para><emphasis role="bold">Is a state variable :</emphasis> no.


</para>
          </listitem>
        </itemizedlist>
      </listitem>
      <listitem>
        <para><emphasis role="bold">File name of the model :</emphasis> NPN</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Interfacingfunction_NPN">
    <title>Interfacing function</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/Electrical/NPN.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Modelicamodel_NPN">
    <title>Modelica model</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/Electrical/NPN.mo</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Seealso_NPN">
    <title>See also</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="PNP">PNP - PNP transistor (Scicos Block)</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Authors_NPN">
    <title>Authors</title>
    <para><emphasis role="bold"/> - www.modelica.org</para>
  </refsection>
</refentry>
